Dear fellow Williams shareholders

This past year was one of strong financial
results and transformative action that
positioned Williams to be a leading supplier
of energy infrastructure to our customers
and growing dividends for our shareholders.
In terms of our financial results, our
infrastructure businesses performed very
well in 2011, generating more than $2 billion
in segment profit. Some of the key drivers
of that success were a 7 percent increase
in stable fee-based revenues and higher
natural gas liquid (NGL) margins.
We also continued to work on expanding
our infrastructure businesses in all of our key
areas, from the deepwater Gulf of Mexico to
the Marcellus Shale to our operations
in Canada.
When we think about the future of
Williams, perhaps the most significant
accomplishment of 2011 was completing
the separation of our exploration and
production business as WPX Energy. The
spinoff transformed Williams into a highgrowth,
high-dividend energy infrastructure
company. This was a major accomplishment
that sets the stage for a new, significant era
of growth at Williams.
Our goal with the separation was to create
two distinct, focused companies and
maximize shareholder value. And since the
announcement of the separation in early
2011, weve seen some of that shareholder
value become unlocked; with the combined
value of Williams and proportional WPX
shares as of March 19, 2012, shareholder
value has increased more than 30 percent
despite spot natural gas prices declining
more than 45 percent.
When we look at what has happened in
our industry over the past several years,
we see an incredible amount of growth
opportunities for Williams in both the near
and longer term. Drilling efficiencies and
advances in technology in North Americas
prolific shale plays have continued to lower
the cost to produce natural gas. As a result,
weve seen production levels stay relatively
strong despite sustained low natural gas
prices. Although we have recently seen
some operators cut back drilling operations,

we would continue to expect relatively low
natural gas prices for some time.
Confidence in the industrys ability to develop
vast supplies of relatively low cost shale gas
is leading to increased demand in many
areas like natural gas-fired power generation,
and production of materials like steel,
petrochemicals and fertilizer. The demand for
natural gas in power generation is expanding
even more rapidly than we expected a year
ago. For example, power generation is the
driver behind about a third of the volumes
in proposed projects in development on
Williams Partners Transco pipeline.
The renaissance in the U.S. petrochemical
industry is being driven directly by lower
natural gas prices. The reason is that in
other parts of the world, the feedstock for
petrochemicals are crude oil components.
Here in North America, they can use natural
gas liquid (NGL) feedstock instead which
is much less expensive than their crude
oil-based counterparts. The availability of
abundant, relatively inexpensive feedstock
right here in North America is creating a
boom in petrochemical manufacturing. Of
course, eventually this translates into more
competitive U.S. manufacturing, more jobs
and even an increase in exports.
Now more than ever, there is a growing
urgency for the infrastructure needed to deliver
on the promise of the vast supply of natural
gas in these new shale plays. Many of these
new resources, the Marcellus and Utica shale
for example, are in geographic areas that either
have not been traditional energy-producing
areas, or any infrastructure in place is not
sufficient to meet current and future demand.
Having infrastructure in place that can connect
these vast new supplies of natural gas and
NGLs to growing markets is vital.
Williams is extremely well positioned to help
meet the soaring demand for large-scale
infrastructure. First, producers are going to
be looking for companies they can trust,
and few companies have our long track
record of successfully designing, building
and operating the kind of assets required
to capture the full value of North Americas
energy resources.
We have more than $25 billion in potential
projects identified through 2017. Many of
these projects are capital-intensive, and they
are certainly large-scale. A great example is
our growth in the Marcellus Shale. Williams
Partners has made a number of significant
acquisitions along with organic expansions
to grow our asset base. Were well on our
way to reaching our goal of being the leading
gathering, processing and transportation
solution provider for producers in the
Marcellus Shale:
 Were building a major natural gas supply
hub in northeastern Pennsylvania that is
expected to deliver 3 Bcf/d of Marcellus
production into four interstate gas pipeline
systems
 A new interstate gas pipeline, the
Constitution Pipeline, will connect the
Susquehanna Supply Hub with two other
interstate pipelines in New York
 The recently announced Caiman Eastern
Midstream acquisition gives us a major
footprint in the NGL-rich portion of
the Marcellus Shale in northern West
Virginia, southwestern Pennsylvania and
eastern Ohio. Its also adjacent to the
NGL-rich area of the Utica Shale, where
were currently working on developing
infrastructure for producers

We also continue to expand our presence
elsewhere, with several large growth projects
under way in the deepwater Gulf of Mexico,
in the western United States as well as
Canada. Our investments in Canada, as well
as the planned expansion of our Geismar
facility in Louisiana are part of our growing
Midstream Canada & Olefins segment. We
noted earlier that the petrochemical industry
is in the midst of a renaissance  these
expansions will help serve that booming
industry. They will also help balance Williams
NGL commodity exposure, providing
more stable future cash flows. Our unique
operations in Canada, where we process
oil-sands off gas to generate valuable energy
products, also contribute to better air quality
by reducing sulphur emissions and other
greenhouse gases by thousands of tons
per year.
Its important to understand that with
projects of this size and scope, we have to
take the long view, and we firmly believe
these projects are going to significantly
benefit Williams and its shareholders in the
long term.
As excited as we are about the future,
there are still challenges. Complex,
contentious permitting is creating a new
reality of unprecedented fluidity and
variability in energy infrastructure design and
construction. Simply put, the overlapping
jurisdiction from too many local, state and
federal regulating agencies have increased
the delays, risk and costs of building new
infrastructure. Ultimately the expense of this
unwieldy regulation is borne by the public.
Williams appreciates the need for regulation
 indeed, we think that continuous
improvement in standards and best
practices is essential to our business
success. However, we also believe that
a strict, but less complex, regulatory
framework would greatly enhance the ability
of the industry to deliver natural gas and
NGLs and in the process drive a resurgence
in our industrial base, increase jobs and help
bolster the economy.
Speaking of economic benefits, Williams is
proud of its contributions to the communities
where we have operations. In addition to our
direct economic benefits, such as providing
local jobs, paying state taxes, and leasing
property, Williams has a strong commitment
to add value to our communities. From
New Jersey to the Gulf Coast, from New
Mexico to Washington, Williams and its
employees are active in local communities
 making contributions to social, health and
educational programs.
We are very excited about Williams future.
We firmly believe that the vast natural
resources in North America can and will
be a transformative force in our domestic
energy outlook. With our assets, expertise
and excellent employee base with a proven
track record of building and operating largescale
energy infrastructure, were one of the
companies that is going to help make that
transformation happen. Thank you for your
continued support.

Frank T. MacInnis
Chairman
Alan S. Armstrong
President and Chief Executive Officer
March 30, 2012